BEGIN EXCLUSIVE;
PRAGMA case_sensitive_like = ON;
-- typeof(NULL)

PRAGMA full_column_names = NO;
PRAGMA count_changes = 1;
.mode
DROP TABLE IF EXISTS t1;
CREATE TABLE t1 (c0, c1 REAL PRIMARY KEY);
INSERT INTO t1(c0, c1) VALUES (0, 1), (0, 0);
UPDATE t1 SET c0 = NULL;
UPDATE OR REPLACE t1 SET c1 = 1;
SELECT DISTINCT * FROM t1 WHERE NOT NOT ((t1.c0 IS NULL)) ;
PRAGMA integrity_check;

CREATE  INDEX IF NOT EXISTS idx_t1_1624 ON t1((c0 + 1)) WHERE +c0 > 0;
SELECT COUNT(c0) FROM t1;
SELECT SUM(c1) FROM t1;
COMMIT TRANSACTION;
CREATE  INDEX IF NOT EXISTS idx_t1_2854 ON t1(lower(c1));
ANALYZE t1;

SELECT COUNT(*) FROM t1;

SELECT * FROM t1 WHERE c1 IN (SELECT c1 FROM t1 LIMIT 1);
VACUUM main;
DELETE FROM t1 WHERE c0 > (SELECT AVG(c0) FROM t1) RETURNING *;